EHCI(4)

NAME
ehci - USB Enhanced Host Controller Interface

SYNOPSIS
ehci* at cardbus?
ehci* at pci?
usb* at ehci?

DESCRIPTION
The ehci driver provides support for the USB Enhanced Host Controller Interface, which provides an interface to usb(4) devices.

EHCI controllers are peculiar in that they can only handle the USB 2.0 protocol. This means that they normally have one or more companion controllers (i.e., ohci(4) or uhci(4)) or an internal rate-matching hub to handle USB 1.x devices.

If at least one companion controller is present, each USB connector is electrically connected to two USB controllers. The handling of this is totally automatic, but can be noticed since USB 1.x and USB 2.0 devices plugged in to the same connector appear to connect to different USB buses.

SEE ALSO
cardbus(4), ohci(4), pci(4), uhci(4), usb(4)

HISTORY
The ehci driver has been available since OpenBSD 3.6.